libwpg::WPGDashArrayPrivate Class Reference

## Public Member Functions

| WPGDashArrayPrivate ()
void | _recalculateDots ()

## Public Attributes

std::vector< double > | dashes
int | dots1
int | dots2
double | dots1len
double | dots2len
double | gap

## Constructor & Destructor Documentation

## WPGDashArrayPrivate()

libwpg::WPGDashArrayPrivate::WPGDashArrayPrivate | ( |  | ) |

inline

## Member Function Documentation

## _recalculateDots()

void libwpg::WPGDashArrayPrivate::_recalculateDots | ( |  | ) |

## Member Data Documentation

## dashes

std::vector<double> libwpg::WPGDashArrayPrivate::dashes

Referenced by _recalculateDots(), and WPGDashArrayPrivate().

## dots1

int libwpg::WPGDashArrayPrivate::dots1

Referenced by _recalculateDots(), and WPGDashArrayPrivate().

## dots1len

double libwpg::WPGDashArrayPrivate::dots1len

Referenced by _recalculateDots(), and WPGDashArrayPrivate().

## dots2

int libwpg::WPGDashArrayPrivate::dots2

Referenced by _recalculateDots(), and WPGDashArrayPrivate().

## dots2len

double libwpg::WPGDashArrayPrivate::dots2len

Referenced by _recalculateDots(), and WPGDashArrayPrivate().

## gap

double libwpg::WPGDashArrayPrivate::gap

Referenced by _recalculateDots(), and WPGDashArrayPrivate().

The documentation for this class was generated from the following file:

- WPGDashArray.cpp